Welcome, Guest
Username: Password: Remember me

TOPIC: Bug patch versie 1.90 - 'array filter uitsluiting' gezocht

Bug patch versie 1.90 - 'array filter uitsluiting' gezocht 7 months 4 days ago #99939

  • ldm
  • ldm's Avatar
  • OFFLINE
  • Fresh Lemon
  • Posts: 3
  • Karma: 0
Dag iedereen,

HELAAS werkt mijn organisatie met versie 1.90 en is updaten owv actieve vragenlijsten momenteel geen mogelijkheid. Ik zou wel een nieuwe vragenlijst willen lanceren met daarin een wederkerende vraag. Eerst kunnen mijn respondenten aanklikken rond welk onderwerp ze vragen willen beantwoorden, later komt de vraag aan bod of ze zin hebben om rond een ander onderwerp vragen te beantwoorden (lijstje zonder onderwerp1 dus. Deze vraag komt terug tot er geen onderwerpen meer overblijven, of tot ze de vragenlijst afronden.

Volgens mij zou een array_filter_uitsluiting hier een goede manier zijn om dat te doen, maar HELAAS is dit volgens de manual (manual.limesurvey.org/QS:Array_filter/nl) pas mogelijk vanaf versie 1.92. Er is wel al een vakje array_filter_uitsluiting aanwezig en ik hoop dat er een patch ofzo bestaat. Waar kan ik dit vinden of heeft iemand een oplossing voor mijn probleem?

Bedankt!
The administrator has disabled public write access.

Bug patch versie 1.90 - 'array filter uitsluiting' gezocht 7 months 4 days ago #99942

  • DenisChenu
  • DenisChenu's Avatar
  • OFFLINE
  • Moderator Lime
  • Posts: 5869
  • Thank you received: 719
  • Karma: 223
Dutch or German ?
The administrator has disabled public write access.

Bug patch versie 1.90 - 'array filter uitsluiting' gezocht 7 months 4 days ago #99948

  • ldm
  • ldm's Avatar
  • OFFLINE
  • Fresh Lemon
  • Posts: 3
  • Karma: 0
Hi, it's Dutch, let me explain in English:


My organisation works with LS 1.90+, and we can't update, since there are several active surveys. What I would like to do is use the array_filter_exclude for the following:
I have groups with questions on several themes, but I want to ask the respondent on which theme they would like to answer questions. Once they finished on one theme, I want to ask them if they want to choose another, so a new radiolist should be generated with all the themes exept those that are already filled in. This keeps going until the respondent wants to quit (that's a new answer I would like to introduce as an option once they filled out a least 1 theme) or all themes have been filled out.

Now, apparantly the array_filter_exclusion isn't working. Array_filter can only be used from LS 1.92 . I was wondering whether I could find some sort of patch to use in the 1.90+ version.

It would be wonderful if someone could help me out.

Thank you.
The administrator has disabled public write access.

Bug patch versie 1.90 - 'array filter uitsluiting' gezocht 4 months 3 weeks ago #102087

  • fransmarcelissen
  • fransmarcelissen's Avatar
  • OFFLINE
  • Expert Lime
  • Posts: 118
  • Thank you received: 15
  • Karma: 3
I suppose that you realise that updating from 1.90 to 2.0 does not (or should not....) effect active surveys. But I can understand that you cannot run the risk. 1.90 is however much too old, there are too many thing that you cannot do (especially Expression Manager, which is the answer on your question). What I should do (and have done) is install a second system (and call it for instance www.mysite.nl/survey2), and phase the old 1.90 out.
Success
Frans
The administrator has disabled public write access.
Time to create page: 0.111 seconds
Donation Image